Compare commits

...

14 Commits
master ... f17

Author SHA1 Message Date
Panu Matilainen 5b931dd245 - teach rpm2cpio about XZ, fix error exit on unknown compression (#746376) 2013-03-27 08:16:21 +02:00
Panu Matilainen ca0d5149bc - make double-quoting work for special %%doc (#928110) 2013-03-27 08:11:11 +02:00
Panu Matilainen 1ea7ce61c9 - force _host_vendor to redhat to better match toolchain etc (#893381) 2013-03-27 08:02:48 +02:00
Panu Matilainen 71d3b385aa - armv7hl and armv7hnl should not have -mthumb (#901901) 2013-03-27 08:02:38 +02:00
Panu Matilainen 98d67b23f7 - Fall back to private db environment on filesystems not supporting mmap()
- Adjust posttrans script wrt bdb string change (#803866, #805613)
2012-05-07 12:58:11 +03:00
Phil Knirsch 9d3171c03f Arch macro for all supported PowerPC 64 processors (#818320) 2012-05-03 13:49:11 +02:00
Phil Knirsch f1acb5f031 Fixed missing lib64 library support for ppc64p7 (#817282) 2012-04-30 17:23:17 +02:00
Phil Knirsch ae517e7f5a Fixed an issue with the ppc64p7 support where on 32bit ppc the detection would go horribly wrong 2012-04-25 16:17:15 +02:00
Phil Knirsch f0f66bfa5e - Fixed missing ppc64p7 detection in installplatform 2012-04-25 14:32:58 +02:00
Phil Knirsch 4b44325a0c - Modified the rpm-4.9.0-armhfp-logic.patch after adding the ppc64p7 support 2012-04-19 17:13:03 +02:00
Phil Knirsch b88a8e4d8a - Updated rpm-4.6.0-niagara.patch after addition of the ppc64p7 support 2012-04-19 17:08:46 +02:00
Phil Knirsch cf817df4f0 - Bumped release and added changelog entry 2012-04-18 13:11:23 +02:00
Phil Knirsch 3c2064a504 - Add support for ppc64p7 architecture using new auxv parsing info
Signed-off-by: Panu Matilainen <pmatilai@redhat.com>
    (cherry picked from commit f9eedd7f694a3dd3db637089f978dab4bd6858ee)

    - Add general /proc/self/auxv parsing to rpmrc for better machine detection

    Signed-off-by: Panu Matilainen <pmatilai@redhat.com>
    (cherry picked from commit 280494cce023f3938023b9b2b1173405601e4ddf)

    Conflicts:

        lib/rpmrc.c
2012-04-18 13:09:06 +02:00
Panu Matilainen b404a9df22 - update to 4.1.9.3 (http://rpm.org/wiki/Releases/4.9.1.3)
- fixes CVE-2012-0060, CVE-2012-0061 and CVE-2012-0815
2012-04-03 18:26:58 +03:00
12 changed files with 320 additions and 24 deletions

1
.gitignore vendored
View File

@ -5,3 +5,4 @@ rpm-4.8.1.tar.bz2
/rpm-4.9.1.tar.bz2
/rpm-4.9.1.1.tar.bz2
/rpm-4.9.1.2.tar.bz2
/rpm-4.9.1.3.tar.bz2

View File

@ -1,7 +1,7 @@
diff -rNu rpm-4.6.0-orig/lib/rpmrc.c rpm-4.6.0/lib/rpmrc.c
--- rpm-4.6.0-orig/lib/rpmrc.c 2009-03-09 21:54:49.000000000 -0500
+++ rpm-4.6.0/lib/rpmrc.c 2009-03-11 12:00:44.000000000 -0500
@@ -763,6 +763,31 @@
diff -up rpm-4.9.1.3/lib/rpmrc.c.niagara rpm-4.9.1.3/lib/rpmrc.c
--- rpm-4.9.1.3/lib/rpmrc.c.niagara 2012-04-19 17:06:23.130595223 +0200
+++ rpm-4.9.1.3/lib/rpmrc.c 2012-04-19 17:06:23.134739249 +0200
@@ -718,6 +718,31 @@ exit:
return rc;
}
@ -33,7 +33,7 @@ diff -rNu rpm-4.6.0-orig/lib/rpmrc.c rpm-4.6.0/lib/rpmrc.c
# if defined(__linux__) && defined(__i386__)
#include <setjmp.h>
@@ -1179,6 +1204,13 @@
@@ -1178,6 +1203,13 @@ static void defaultMachine(const char **
personality(oldpers);
}
}
@ -46,11 +46,11 @@ diff -rNu rpm-4.6.0-orig/lib/rpmrc.c rpm-4.6.0/lib/rpmrc.c
+ }
# endif /* sparc*-linux */
# if defined(__GNUC__) && defined(__alpha__)
diff -rNu rpm-4.6.0-orig/rpmrc.in rpm-4.6.0/rpmrc.in
--- rpm-4.6.0-orig/rpmrc.in 2009-03-09 21:54:49.000000000 -0500
+++ rpm-4.6.0/rpmrc.in 2009-03-11 11:50:49.000000000 -0500
@@ -312,7 +312,7 @@
# if defined(__linux__) && defined(__powerpc__)
diff -up rpm-4.9.1.3/rpmrc.in.niagara rpm-4.9.1.3/rpmrc.in
--- rpm-4.9.1.3/rpmrc.in.niagara 2012-04-19 17:06:23.131476769 +0200
+++ rpm-4.9.1.3/rpmrc.in 2012-04-19 17:06:23.135738996 +0200
@@ -316,7 +316,7 @@ arch_compat: sun4c: sparc
arch_compat: sun4d: sparc
arch_compat: sun4m: sparc
arch_compat: sun4u: sparc64

View File

@ -1,7 +1,7 @@
diff -uNr rpm-4.9.0-orig//lib/rpmrc.c rpm-4.9.0/lib/rpmrc.c
--- rpm-4.9.0-orig//lib/rpmrc.c 2011-08-05 12:23:04.000000000 -0500
+++ rpm-4.9.0/lib/rpmrc.c 2011-08-05 12:25:13.000000000 -0500
@@ -732,6 +732,56 @@
diff -up rpm-4.9.1.3/lib/rpmrc.c.armhfp-logic rpm-4.9.1.3/lib/rpmrc.c
--- rpm-4.9.1.3/lib/rpmrc.c.armhfp-logic 2012-04-19 17:11:32.728750591 +0200
+++ rpm-4.9.1.3/lib/rpmrc.c 2012-04-19 17:11:32.754738455 +0200
@@ -743,6 +743,56 @@ static int is_sun4v()
}
#endif
@ -58,9 +58,9 @@ diff -uNr rpm-4.9.0-orig//lib/rpmrc.c rpm-4.9.0/lib/rpmrc.c
# if defined(__linux__) && defined(__i386__)
#include <setjmp.h>
@@ -1157,6 +1207,22 @@
}
# endif /* sparc*-linux */
@@ -1220,6 +1270,22 @@ static void defaultMachine(const char **
}
# endif /* ppc64*-linux */
+# if defined(__linux__) && defined(__arm__)
+ {
@ -81,4 +81,3 @@ diff -uNr rpm-4.9.0-orig//lib/rpmrc.c rpm-4.9.0/lib/rpmrc.c
# if defined(__GNUC__) && defined(__alpha__)
{
unsigned long amask, implver;

View File

@ -29,8 +29,8 @@ diff -uNr rpm-4.9.0-orig//rpmrc.in rpm-4.9.0/rpmrc.in
optflags: armv5tejl -O2 -g -march=armv5te
optflags: armv6l -O2 -g -march=armv6
optflags: armv7l -O2 -g -march=armv7
+optflags: armv7hl -O2 -g -march=armv7-a -mfloat-abi=hard -mfpu=vfpv3-d16 -mthumb
+optflags: armv7hnl -O2 -g -march=armv7-a -mfloat-abi=hard -mfpu=neon -mthumb
+optflags: armv7hl -O2 -g -march=armv7-a -mfloat-abi=hard -mfpu=vfpv3-d16
+optflags: armv7hnl -O2 -g -march=armv7-a -mfloat-abi=hard -mfpu=neon
optflags: atarist -O2 -g -fomit-frame-pointer
optflags: atariste -O2 -g -fomit-frame-pointer

146
rpm-4.9.1.2-ppc64p7.patch Normal file
View File

@ -0,0 +1,146 @@
diff --git a/lib/rpmrc.c b/lib/rpmrc.c
index 1b47dc3..0050091 100644
--- a/lib/rpmrc.c
+++ b/lib/rpmrc.c
@@ -5,6 +5,12 @@
#include <setjmp.h>
#endif
+#if defined(__linux__)
+#include <elf.h>
+#include <link.h>
+#endif
+
+
#if HAVE_SYS_UTSNAME_H
#include <sys/utsname.h>
#endif
@@ -78,6 +84,11 @@ int required;
struct rpmOptionValue * value;
};
+static struct rpmat_s {
+ const char *platform;
+ uint64_t hwcap;
+} rpmat;
+
typedef struct defaultEntry_s {
char * name;
char * defName;
@@ -933,6 +944,45 @@ static void mfspr_ill(int notused)
}
#endif
+#if defined(__linux__)
+/**
+ * Populate rpmat structure with parsed info from /proc/self/auxv
+ */
+static void parse_auxv(void)
+{
+ static int oneshot = 1;
+
+ if (oneshot) {
+ rpmat.platform = "";
+ int fd = open("/proc/self/auxv", O_RDONLY);
+
+ if (fd == -1) {
+ rpmlog(RPMLOG_WARNING,
+ _("Failed to read auxiliary vector, /proc not mounted?\n"));
+ return;
+ } else {
+ ElfW(auxv_t) auxv;
+ while (read(fd, &auxv, sizeof(auxv)) == sizeof(auxv)) {
+ switch (auxv.a_type)
+ {
+ case AT_NULL:
+ break;
+ case AT_PLATFORM:
+ rpmat.platform = strdup((char *) auxv.a_un.a_val);
+ break;
+ case AT_HWCAP:
+ rpmat.hwcap = auxv.a_un.a_val;
+ break;
+ }
+ }
+ close(fd);
+ }
+ oneshot = 0; /* only try once even if it fails */
+ }
+ return;
+}
+#endif
+
/**
*/
static void defaultMachine(const char ** arch,
@@ -944,6 +994,11 @@ static void defaultMachine(const char ** arch,
canonEntry canon;
int rc;
+#if defined(__linux__)
+ /* Populate rpmat struct with hw info */
+ parse_auxv();
+#endif
+
while (!gotDefaults) {
if (!rpmPlatform(platform)) {
char * s;
@@ -1125,6 +1180,14 @@ static void defaultMachine(const char ** arch,
}
# endif /* sparc*-linux */
+# if defined(__linux__) && defined(__powerpc__)
+ {
+ int powerlvl;
+ if (!rstreq(un.machine, "ppc") && sscanf(rpmat.platform, "power%d", &powerlvl) == 1 && powerlvl > 6)
+ strcpy(un.machine, "ppc64p7");
+ }
+# endif /* ppc64*-linux */
+
# if defined(__GNUC__) && defined(__alpha__)
{
unsigned long amask, implver;
diff --git a/rpmrc.in b/rpmrc.in
index 0033bbd..9b00b71 100644
--- a/rpmrc.in
+++ b/rpmrc.in
@@ -48,6 +48,7 @@ optflags: ppc32dy4 -O2 -g -fsigned-char
optflags: ppciseries -O2 -g -fsigned-char
optflags: ppcpseries -O2 -g -fsigned-char
optflags: ppc64 -O2 -g -fsigned-char
+optflags: ppc64p7 -O3 -mtune=power7 -mcpu=power7 -g -fsigned-char
optflags: parisc -O2 -g -mpa-risc-1-0
optflags: hppa1.0 -O2 -g -mpa-risc-1-0
@@ -157,6 +158,7 @@ arch_canon: s390x: s390x 15
arch_canon: ppc64: ppc64 16
arch_canon: ppc64pseries: ppc64pseries 16
arch_canon: ppc64iseries: ppc64iseries 16
+arch_canon: ppc64p7: ppc64p7 16
arch_canon: sh: sh 17
arch_canon: sh3: sh3 17
@@ -239,6 +241,7 @@ buildarchtranslate: ppciseries: ppc
buildarchtranslate: ppcpseries: ppc
buildarchtranslate: ppc64iseries: ppc64
buildarchtranslate: ppc64pseries: ppc64
+buildarchtranslate: ppc64p7: ppc64
buildarchtranslate: armv3l: armv3l
buildarchtranslate: armv4b: armv4b
@@ -307,6 +310,7 @@ arch_compat: ppc: rs6000
arch_compat: rs6000: noarch fat
arch_compat: ppc64pseries: ppc64
arch_compat: ppc64iseries: ppc64
+arch_compat: ppc64p7: ppc64
arch_compat: sun4c: sparc
arch_compat: sun4d: sparc
@@ -428,6 +432,7 @@ buildarch_compat: ppc: noarch fat
buildarch_compat: ppc64: noarch fat
buildarch_compat: ppc64pseries: ppc64
buildarch_compat: ppc64iseries: ppc64
+buildarch_compat: ppc64p7: ppc64
buildarch_compat: mips: noarch
buildarch_compat: mipsel: noarch

14
rpm-4.9.1.3-power64.patch Normal file
View File

@ -0,0 +1,14 @@
diff -up rpm-4.9.1.3/macros.in.power64 rpm-4.9.1.3/macros.in
--- rpm-4.9.1.3/macros.in.power64 2012-05-03 13:34:17.000000000 +0200
+++ rpm-4.9.1.3/macros.in 2012-05-03 13:45:44.002388724 +0200
@@ -1038,6 +1038,10 @@ done \
%arm armv3l armv4b armv4l armv4tl armv5tel armv5tejl armv6l armv7l armv7hl armv7hnl
#------------------------------------------------------------------------------
+# arch macro for all supported PowerPC 64 processors
+%power64 ppc64 ppc64p7
+
+#------------------------------------------------------------------------------
# arch macro for all supported Sparc processors
%sparc sparc sparcv8 sparcv9 sparcv9v sparc64 sparc64v

View File

@ -0,0 +1,21 @@
diff -up rpm-4.9.1.3/installplatform.ppc64p7-platform rpm-4.9.1.3/installplatform
--- rpm-4.9.1.3/installplatform.ppc64p7-platform 2012-04-25 14:25:25.554388624 +0200
+++ rpm-4.9.1.3/installplatform 2012-04-30 17:21:45.013388696 +0200
@@ -22,7 +22,7 @@ case "$arch" in
arm*) SUBSTS='s_arm_arm_ s_arm_armv3l_ s_arm_armv4l_ s_arm_armv4tl_ s_arm_armv5tel_ s_arm_armv5tejl_ s_arm_armv6l_ s_arm_armv7l_ s_arm_armv7hl_ s_arm_armv7hnl_' ;;
sh4*) SUBSTS='s_sh4_sh4_ s_sh4_sh4a_' ;;
sparc*) SUBSTS='s_sparc\(64\|64v\|v9v\|v9\)_sparc_ s_sparc64_sparcv9_;s_sparc\([^v]\|$\)_sparcv9\1_ s_sparcv9_sparc64_;s_sparc\([^6]\|$\)_sparc64\1_' ;;
- powerpc*|ppc*) SUBSTS='s_ppc64_ppc_ s_ppc\([^6ip]\|$\)_ppc64\1_ s_ppc\([^6ip]\|$\)_ppciseries_ s_ppc\([^6ip]\|$\)_ppcpseries_ s_ppc\([^6ip]\|$\)_ppc64iseries_ s_ppc\([^6ip]\|$\)_ppc64pseries_' ;;
+ powerpc*|ppc*) SUBSTS='s_ppc64_ppc_ s_ppc\([^6ip]\|$\)_ppc64\1_ s_ppc\([^6ip]\|$\)_ppciseries_ s_ppc\([^6ip]\|$\)_ppcpseries_ s_ppc\([^6ip]\|$\)_ppc64iseries_ s_ppc\([^6ip]\|$\)_ppc64pseries_ s_ppc\([^6ip]\|$\)_ppc64p7_' ;;
s390*) SUBSTS='s_s390x_s390_ s_s390\([^x]\|$\)_s390x\1_' ;;
x86_64|amd64|ia32e) SUBSTS='s,x86_64,x86_64, s,x86_64,ia32e, s,x86_64,amd64, s,x86_64,i386, s,x86_64,i486, s,x86_64,i586, s,x86_64,i686, s,x86_64,pentium3, s,x86_64,pentium4, s,x86_64,athlon, s,x86_64,geode,' ;;
*) SUBSTS=y___ ;;
@@ -48,7 +48,7 @@ for SUBST in $SUBSTS ; do
case "${ARCH}-${OS}" in
sparc64*-linux) LIB=lib64 ;;
s390x-linux) LIB=lib64 ;;
- ppc64-linux|powerpc64-linux) LIB=lib64 ;;
+ ppc64-linux|ppc64p7-linux|powerpc64-linux) LIB=lib64 ;;
x86_64-linux|amd64-linux|ia32e-linux) LIB=lib64 ;;
*) LIB=lib;;
esac

37
rpm-4.9.x-db-einval.patch Normal file
View File

@ -0,0 +1,37 @@
commit 58c5eb28d5f267313294486c6f8a7a6c84984d86
Author: Panu Matilainen <pmatilai@redhat.com>
Date: Thu May 3 16:15:59 2012 +0300
Fall back to private db environment on system level EINVAL
- BDB wants to use mmap() for its environment by default, but not
all (file)systems support this, as pointed out by Daniel Drak.
However env->open() can return EINVAL for a number of reasons,
require all the fallback reasons to be system level errors to
differentiate from "logical" errors such as incompatible flags
to (possibly pre-existing) db environment, in which case we better
just error out.
diff --git a/lib/backend/db3.c b/lib/backend/db3.c
index 30ed7ac..bbf9577 100644
--- a/lib/backend/db3.c
+++ b/lib/backend/db3.c
@@ -177,7 +177,8 @@ static int db_init(rpmdb rdb, const char * dbhome)
/*
* Actually open the environment. Fall back to private environment
- * if we dont have permission to join/create shared environment.
+ * if we dont have permission to join/create shared environment or
+ * system doesn't support it..
*/
while (retry_open) {
char *fstr = prDbiOpenFlags(eflags, 1);
@@ -185,7 +186,7 @@ static int db_init(rpmdb rdb, const char * dbhome)
free(fstr);
rc = (dbenv->open)(dbenv, dbhome, eflags, rdb->db_perms);
- if (rc == EACCES || rc == EROFS) {
+ if ((rc == EACCES || rc == EROFS || rc == EINVAL) && errno == rc) {
eflags |= DB_PRIVATE;
retry_open--;
} else {

View File

@ -0,0 +1,14 @@
diff -up rpm-4.9.1.3/build/files.c.doc-quotes rpm-4.9.1.3/build/files.c
--- rpm-4.9.1.3/build/files.c.doc-quotes 2013-03-27 08:04:35.117556856 +0200
+++ rpm-4.9.1.3/build/files.c 2013-03-27 08:04:35.143556768 +0200
@@ -892,7 +892,9 @@ static rpmRC parseForSimple(rpmSpec spec
if (*s != '/') {
if (fl->currentFlags & RPMFILE_DOC) {
- rstrscat(&specialDocBuf, " ", s, NULL);
+ char * fn = rpmEscapeSpaces(s);
+ rstrscat(&specialDocBuf, " ", fn, NULL);
+ free(fn);
} else
if (fl->currentFlags & RPMFILE_PUBKEY)
{

View File

@ -0,0 +1,17 @@
diff --git a/scripts/rpm2cpio.sh b/scripts/rpm2cpio.sh
index b03ee36..57c47bb 100755
--- a/scripts/rpm2cpio.sh
+++ b/scripts/rpm2cpio.sh
@@ -28,9 +28,11 @@ comp=`dd if="$pkg" ibs=$o skip=1 count=1 2>/dev/null \
gz="`echo . | awk '{ printf("%c%c", 0x1f, 0x8b); }'`"
lzma="`echo . | awk '{ printf("%cLZ", 0xff); }'`"
+xz="`echo . | awk '{ printf("%c7z", 0xfd); }'`"
case "$comp" in
BZh) dd if="$pkg" ibs=$o skip=1 2>/dev/null | bunzip2 ;;
"$gz"*) dd if="$pkg" ibs=$o skip=1 2>/dev/null | gunzip ;;
+ "$xz"*) dd if="$pkg" ibs=$o skip=1 2>/dev/null | xzcat ;;
"$lzma"*) dd if="$pkg" ibs=$o skip=1 2>/dev/null | unlzma ;;
- *) echo "Unrecognized rpm file: $pkg"; return 1 ;;
+ *) echo "Unrecognized rpm file: $pkg"; exit 1 ;;
esac

View File

@ -11,7 +11,7 @@
%define rpmhome /usr/lib/rpm
%define rpmver 4.9.1.2
%define rpmver 4.9.1.3
%define srcver %{rpmver}%{?snapver:-%{snapver}}
%define bdbname libdb
@ -21,7 +21,7 @@
Summary: The RPM package management system
Name: rpm
Version: %{rpmver}
Release: %{?snapver:0.%{snapver}.}14%{?dist}
Release: %{?snapver:0.%{snapver}.}8%{?dist}
Group: System Environment/Base
Url: http://www.rpm.org/
Source0: http://rpm.org/releases/rpm-4.9.x/%{name}-%{srcver}.tar.bz2
@ -41,6 +41,11 @@ Patch4: rpm-4.8.1-use-gpg2.patch
Patch5: rpm-4.9.0-armhfp.patch
#conditionally applied patch for arm hardware floating point
Patch6: rpm-4.9.0-armhfp-logic.patch
# Fix installplatform for ppc64p7
Patch7: rpm-4.9.1.3-ppc64p7-platform.patch
# Arch macro for all IBM Power 64bit archs
Patch8: rpm-4.9.1.3-power64.patch
# Patches already in upstream
Patch100: rpm-4.9.x-fontattr.patch
@ -53,6 +58,10 @@ Patch106: rpm-4.9.x-verify-output.patch
Patch107: rpm-4.9.x-include-cond.patch
Patch108: rpm-4.9.x-exclude-warn.patch
Patch109: rpm-4.9.x-tstest-fileinfo.patch
Patch110: rpm-4.9.1.2-ppc64p7.patch
Patch111: rpm-4.9.x-db-einval.patch
Patch112: rpm-4.9.x-doc-quotes.patch
Patch113: rpm-4.9.x-rpm2cpio-foo.patch
# These are not yet upstream
Patch301: rpm-4.6.0-niagara.patch
@ -240,6 +249,10 @@ packages on a system.
%patch107 -p1 -b .include-cond
%patch108 -p1 -b .exclude-warn
%patch109 -p1 -b .tstest-fileinfo
%patch110 -p1 -b .ppc64p7
%patch111 -p1 -b .db-einval
%patch112 -p1 -b .doc-quotes
%patch113 -p1 -b .rpm2cpio.foo
%patch301 -p1 -b .niagara
%patch302 -p1 -b .geode
@ -257,6 +270,9 @@ packages on a system.
%patch6 -p1 -b .armhfp-logic
%endif
%patch7 -p1 -b .ppc64p7-platform
%patch8 -p1 -b .power64
%if %{with int_bdb}
ln -s db-%{bdbver} db
%endif
@ -278,6 +294,8 @@ export CPPFLAGS CFLAGS LDFLAGS
--localstatedir=%{_var} \
--sharedstatedir=%{_var}/lib \
--libdir=%{_libdir} \
--build=%{_target_platform} \
--host=%{_target_platform} \
%{!?with_int_bdb: --with-external-db} \
%{!?with_plugins: --disable-plugins} \
--with-lua \
@ -354,7 +372,7 @@ make check
# XXX this is klunky and ugly, rpm itself should handle this
dbstat=/usr/lib/rpm/rpmdb_stat
if [ -x "$dbstat" ]; then
if "$dbstat" -e -h /var/lib/rpm 2>&1 | grep -q "doesn't match environment version \| Invalid argument"; then
if "$dbstat" -e -h /var/lib/rpm 2>&1 | grep -q "doesn't match library version \| Invalid argument"; then
rm -f /var/lib/rpm/__db.*
fi
fi
@ -469,6 +487,35 @@ exit 0
%doc COPYING doc/librpm/html/*
%changelog
* Wed Mar 27 2013 Panu Matilainen <pmatilai@redhat.com> - 4.9.1.3-8
- armv7hl and armv7hnl should not have -mthumb (#901901)
- force _host_vendor to redhat to better match toolchain etc (#893381)
- make double-quoting work for special %%doc (#928110)
- teach rpm2cpio about XZ, fix error exit on unknown compression (#746376)
* Mon May 07 2012 Panu Matilainen <pmatilai@redhat.com> - 4.9.1.3-7
- Fall back to private db environment on filesystems not supporting mmap()
- Adjust posttrans script wrt bdb string change (#803866, #805613)
* Thu May 03 2012 Phil Knirsch <pknirsch@redhat.com> 4.9.1.3-6
- Arch macro for all supported PowerPC 64 processors (#818320)
* Mon Apr 30 2012 Phil Knirsch <pknirsch@redhat.com> 4.9.1.3-5
- Fixed missing lib64 library support for ppc64p7 (#817282)
* Wed Apr 25 2012 Phil Knirsch <pknirsch@redhat.com> 4.9.1.3-4
- Fixed an issue with the ppc64p7 support where on 32bit ppc the detection would go horribly wrong
* Wed Apr 25 2012 Phil Knirsch <pknirsch@redhat.com> 4.9.1.3-3
- Fixed missing ppc64p7 detection in installplatform
* Wed Apr 18 2012 Phil Knirsch <pknirsch@redhat.com> 4.9.1.3-2
- Added upstream patch for general /proc/self/auxv parsing and ppc64p7 support
* Tue Apr 03 2012 Panu Matilainen <pmatilai@redhat.com> - 4.9.1.3-1
- update to 4.1.9.3 (http://rpm.org/wiki/Releases/4.9.1.3)
- fixes CVE-2012-0060, CVE-2012-0061 and CVE-2012-0815
* Wed Mar 07 2012 Panu Matilainen <pmatilai@redhat.com> - 4.9.1.2-14
- fix backport thinko in the exclude patch

View File

@ -1 +1 @@
85cc5b7adb5806b5abf5b538b088dbdc rpm-4.9.1.2.tar.bz2
e266b959de9865cce2816451e8a62e12 rpm-4.9.1.3.tar.bz2